%define gtk2_version 2.0.2
%define libgnomeui_version 1.117.2
%define gnome_vfs2_version 1.9.16
%define librsvg2_version 1.1.6
%define bonobo_activation_version 1.0.0
%define libxml2_version 2.4.20
%define libart_lgpl_version 2.3.8
%define gail_version 0.15

Name:		eel2
Summary: Eazel Extensions Library.
Version: 	1.1.17
Release: 	1
License: 	GPL
Group: System Environment/Libraries
Source: 	eel-%{version}.tar.bz2
URL: 		http://nautilus.eazel.com/
BuildRoot:	/var/tmp/%{name}-%{version}-root

Requires: gtk2 >= %{gtk2_version}
Requires: libgnomeui >= %{libgnomeui_version}
Requires: gnome-vfs2 >= %{gnome_vfs2_version}
Requires: librsvg2 >= %{librsvg2_version}
Requires: bonobo-activation >= %{bonobo_activation_version}
Requires: libxml2 >= %{libxml2_version}
Requires: libart_lgpl >= %{libart_lgpl_version}

BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: librsvg2-devel >= %{librsvg2_version}
BuildRequires: bonobo-activation-devel >= %{bonobo_activation_version}
BuildRequires: libxml2-devel >= %{libxml2_version}
BuildRequires: libart_lgpl-devel >= %{libart_lgpl_version}
BuildRequires: gail-devel >= %{gail_version}

%description
Eazel Extensions Library is a collection of widgets and functions for
use with GNOME.

%package devel
Summary: Libraries and include files for developing with Eel.
Group: Development/Libraries
Requires: %{name} = %{version}

Requires: gtk2-devel >= %{gtk2_version}
Requires: libgnomeui-devel >= %{libgnomeui_version}
Requires: gnome-vfs2-devel >= %{gnome_vfs2_version}
Requires: librsvg2-devel >= %{librsvg2_version}
Requires: bonobo-activation-devel >= %{bonobo_activation_version}
Requires: libxml2-devel >= %{libxml2_version}
Requires: libart_lgpl-devel >= %{libart_lgpl_version}
Requires: gail-devel >= %{gail_version}

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with Eel.

%prep
%setup -q -n eel-%{version}

%build
%configure

make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%{_libdir}/*.so*

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/pkgconfig
%{_includedir}/eel-2

%changelog
* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.1.17

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- rebuild with fixed rpm in build root

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- 1.1.16.90 cvs snap to fix libpng issue

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 1.1.15

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.1.12

* Mon Apr 22 2002 Alex Larsson <alexl@redhat.com>
- Update to 1.1.11

* Thu Apr 18 2002 Havoc Pennington <hp@redhat.com>
- getting really sleepy, fixed the wrong dumb typo

* Thu Apr 18 2002 Havoc Pennington <hp@redhat.com>
- 1.1.10
- mumble, dumb typo in gail version

* Thu Jan 24 2002 Havoc Pennington <hp@redhat.com>
- rebuild in rawhide after fixing libart issue that broke build

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- Eel version 2 package created

* Tue Oct 23 2001 Havoc Pennington <hp@redhat.com>
- 1.0.2

* Wed Aug 29 2001 Alex Larsson <alexl@redhat.com>
- Added new font with cyrrilic glyphs from
- ftp://ftp.gnome.ru/fonts/urw/
- This closes #52772

* Mon Aug 27 2001 Alex Larsson <alexl@redhat.com> 1.0.1-18
- Add patch to fix #52348

* Thu Aug 23 2001 Havoc Pennington <hp@redhat.com>
- Applied patch from CVS to try fixing #51965

* Wed Aug 22 2001 Havoc Pennington <hp@redhat.com>
- Applied patch to handle multibyte chars in 
  eel_string_ellipsize - hopefully fixes #51710

* Fri Aug 17 2001 Alexander Larsson <alexl@redhat.com> 1.0.1-15
- Fixed the default font patch. It crashed on 64bit arch.

* Tue Aug 14 2001 Alexander Larsson <alexl@redhat.com> 1.0.1-13
- Fixed EelScalableFont to not keep reloading fonts
- all the time.

* Fri Aug  3 2001 Owen Taylor <otaylor@redhat.com>
- Fix problems with EelImageChooser widget and Japanese

* Fri Jul 27 2001 Alexander Larsson <alexl@redhat.com>
- Get some fixes from CVS head, one that segfaulted ia64.
- This also moves the include file into a eel-1 dir, so that
- it can later coexist with eel 2.0.

* Tue Jul 24 2001 Owen Taylor <otaylor@redhat.com>
- Fixes for efficiency of background drawing
 
* Tue Jul 24 2001 Akira TAGOH <tagoh@redhat.com> 1.0.1-7
- fixed typo in patch. oops.

* Mon Jul 23 2001 Akira TAGOH <tagoh@redhat.com> 1.0.1-6
- fixed choose the default font with every locale.

* Wed Jul 18 2001 Havoc Pennington <hp@redhat.com>
- own some directories we didn't before

* Sun Jul 08 2001 Tim Powers <timp@redhat.com>
- cleaned up files list so that the defattr is doing something
sensible and not leaving out the docs
- moved changelog to the end of the specfile

* Fri Jul 06 2001 Alexander Larsson <alla@redhat.com> 
- Removed docdir and cleaned up specfile a bit. 

* Fri Jul 06 2001 Alexander Larsson <alla@redhat.com>
- Updated to 1.0.1

* Wed May 09 2001 Jonathan Blandford <jrb@redhat.com> 
- Add to Red Hat build system 

* Wed Apr 04 2000 Ramiro Estrugo <ramiro@eazel.com> 
- created this thing
